@import '~@guildion/next/styles/component.module.scss';

.container {
  width: 100%;
  height: 100%;
  background-color: var(--background-root);
  position: relative;
  &-inner {
    margin-top: 40px;
    width: 100%;
    height: calc(100% - 40px);
    flex-grow: 1;
    min-height: auto;
    display: grid;
    grid-gap: 24px;
    grid-template-rows: 1fr;
    grid-template-columns: minmax(269px,1fr) minmax(752px,936px) minmax(160px,1fr);
  }
}

.side {
  margin: 24px 0 0;
  -webkit-margin-end: 24px;
  -moz-margin-end: 24px;
  margin-inline-end: 24px;
  -webkit-margin-start: -8px;
  -moz-margin-start: -8px;
  margin-inline-start: -8px;
  grid-column: 3;
  grid-row: 1;
  min-width: 0;
  width: auto;
  height: 100%;
}

.content {
  align-self: start;
  grid-column: 2;
  grid-row: 1;
  margin: 24px 0;
  max-width: 936px;
  min-width: 0;
  counter-reset: numbered;
  display: block;
  position: relative;
  width: auto;
  height: 100%;
  min-height: calc(100vh - 64px - 40px);
  padding-bottom: 20px;
  &-inner {
    width: 100%;
    background-color: var(--background-subm1);
  }
  &-body {
    padding: 40px 40px;
    width: 100%;
    height: 100%;
    padding-top: 0px;
  }
  &-header {
    width: 100%;
    padding: 20px 40px;
    padding-top: 80px;
    &_title {
      display: block;
      font-size: 44px;
      font-family: var(--default-font-family);
      text-align: left;
      font-weight: bold;
      color: var(--element-default);
      @include mq-down(fm) {
        font-size: 24px;
      };
    }
    &_border {
      margin-top: 32px;
      margin-right: auto;
      width: 60%;
      height: 4px;
      background-color: var(--element-main);
    }
  }
}

.bar {
  box-shadow: none;
  contain: content;
  height: calc(100% - 64px - 40px);
  position: fixed;
  top: calc(64px + 40px);
  overflow-x: hidden;
  overflow-y: auto;
  width: 269px;
  background-color: var(--background-subm1);
  border-right: 1px solid var(--background-subp1);
}

.nav {
  position: fixed;
  top: 64px;
  z-index: 2;
}